### Virtual Method

# GtkSource View push_snippet

#### Declaration [src]

    void
    push_snippet (
      GtkSourceView* view,
      GtkSourceSnippet* snippet,
      GtkTextIter* location
    )

#### Description [src]

Inserts a new snippet at `location`

If another snippet was already active, it will be paused and the new snippet will become active. Once the focus positions of `snippet` have been exhausted, editing will return to the previous snippet.

#### Parameters

`snippet`

  Type: `GtkSourceSnippet`

  A `GtkSourceSnippet`.

  The data is owned by the caller of the method.

`location`

  Type: `GtkTextIter`

  A `GtkTextIter` or `NULL` for the cursor position.

  The argument can be `NULL`.
  The data is owned by the caller of the method.